Поиск

Generic selectors
Exact matches only
Search in title
Search in content

Molla 1.3.0 и Elementor 3.4 Несовместимs “Fatal error: Access level to Molla_Element_Section::get_html_tag()“

  • Поделиться

    Я использую шаблон Molla для WooCommerce и конструктор Elementor. Совсем недавно обновился на Molla 1.3.0 и Elementor 3.4+ и неожиданно обнаружил на веб-сайте следующую ошибку:

    Fatal error: Access level to Molla_Element_Section::get_html_tag() must be protected (as in class Elementor\Element_Section) or weaker in C:\Users\Alex\Local Sites\quotesfollower\app\public\wp-content\plugins\molla-core\elementor\elements\section.php on line 3668
    

    Красивого решения я не нашел, в том числе и связывался с поддержкой Molla. Итого выход из данной ситуации это даунгрейд на предыдущую версию Elementor 3.3

    Войдите в WP-Dashboard> Elementor> Инструменты> Контроль версий и откат версии до 3.3.1.
    Нажмите «Сохранить» и обязательно очистите кеш браузера.

    Теперь сайт должен заработать!


    На сегодня 09/17/2021 проблема была решена и достигнута совместимость в следующих версиях: Molla 1.3.1 и Elementor 3.4.4

    Теги: Elementor
    Оставить комментарий

    Alex Kostritsa

    Об авторе
    Опыт в менеджменте в IT организациях более 10 лет. Преподаю курсы по менеджменту Hillel. В свободное время пишу блог, и работаю над своими "pet" проектами.
    Посмотреть все материалы (12)
    • Odessa, Ukraine